Package com.google.cloud.spanner.jdbc

# Class JdbcSqlExceptionFactory.JdbcAbortedDueToConcurrentModificationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory.JdbcSqlExceptionImpl
com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory.JdbcAbortedException
com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory.JdbcAbortedDueToConcurrentModificationException

All Implemented Interfaces:
  `JdbcSqlException`, `Serializable`, `Iterable<Throwable>`

Enclosing class:
  JdbcSqlExceptionFactory

public static class JdbcSqlExceptionFactory.JdbcAbortedDueToConcurrentModificationException extends JdbcSqlExceptionFactory.JdbcAbortedException
Specific `SQLException` that is thrown when a transaction was aborted and could not be retried due to a concurrent modification.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`com.google.cloud.spanner.AbortedDueToConcurrentModificationException`
`getCause()`
`com.google.cloud.spanner.SpannerException`
`getDatabaseErrorDuringRetry()`

### Methods inherited from class com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory.JdbcSqlExceptionImpl

`getCode`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface com.google.cloud.spanner.jdbc.JdbcSqlException

`getErrorCode, getMessage, getSQLState`

## Method Details

### getCause

public com.google.cloud.spanner.AbortedDueToConcurrentModificationException getCause()

Specified by:
  `getCause` in interface `JdbcSqlException`
Overrides:
  `getCause` in class `JdbcSqlExceptionFactory.JdbcAbortedException`
See Also:
  - `Throwable.getCause()`

### getDatabaseErrorDuringRetry

public com.google.cloud.spanner.SpannerException getDatabaseErrorDuringRetry()